跳转到主要内容
计算管理/虚拟机相关接口
POSTVM Related Interfaces起始版本 4.0.0同步需要认证

加载网卡到虚拟机

加载网卡到虚拟机

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

请求参数

路径参数

  • vmNicUuidString必填

    虚拟机网卡UUID

  • vmInstanceUuidList必填

    虚拟机UUID

请求体字段

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • successboolean必填

    操作是否成功。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoryVmInstanceInventory必填

    详情参考inventory

    • uuidString必填

      资源的UUID,唯一标示该资源

    • nameString必填

      资源名称

    • descriptionString必填

      资源的详细描述

    • zoneUuidString必填

      数据中心UUID

    • clusterUuidString必填

      集群UUID

    • imageUuidString必填

      镜像UUID

    • hostUuidString必填

      主机UUID

    • lastHostUuidString必填

      最近一次主机UUID。

    • instanceOfferingUuidString必填

      暂无描述。

    • rootVolumeUuidString必填

      根硬盘UUID

    • platformString必填

      平台。

    • architectureString必填

      暂无描述。

    • defaultL3NetworkUuidString必填

      暂无描述。

    • typeString必填

      类型。

    • hypervisorTypeString必填

      暂无描述。

    • memorySizeLong必填

      内存大小。

    • cpuNumInteger必填

      暂无描述。

    • cpuSpeedLong必填

      暂无描述。

    • allocatorStrategyString必填

      暂无描述。

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

    • stateString必填

      当前状态。

    • guestOsTypeString必填

      暂无描述。

    • vmNicsList必填

      详情参考vmNics

      • uuidString必填

        资源的UUID,唯一标示该资源

      • vmInstanceUuidString必填

        虚拟机UUID

      • l3NetworkUuidString必填

        分布式端口组UUID

      • ipString必填

        IP地址

      • macString必填

        MAC地址

      • hypervisorTypeString必填

        虚拟化类型

      • netmaskString必填

        子网掩码

      • gatewayString必填

        网关

      • metaDataString必填

        元数据。

      • ipVersionInteger必填

        IP地址版本

      • driverTypeString必填

        暂无描述。

      • internalNameString必填

        内部名称。

      • deviceIdInteger必填

        设备ID

      • typeString必填

        网卡类型

      • stateString必填

        网卡状态

      • createDateTimestamp必填

        创建时间

      • lastOpDateTimestamp必填

        最后一次修改时间

      • usedIpsList必填

        详情参考usedIps

        • uuidString必填

          资源的UUID,唯一标示该资源

        • ipRangeUuidString必填

          IP段UUID

        • l3NetworkUuidString必填

          分布式端口组UUID

        • ipVersionInteger必填

          IP协议号

        • ipString必填

          IP地址

        • netmaskString必填

          网络掩码

        • gatewayString必填

          网关地址

        • usedForString必填

          已使用用于。

        • ipInLonglong必填

          暂无描述。

        • vmNicUuidString必填

          虚拟机网卡UUID

        • createDateTimestamp必填

          创建时间

        • lastOpDateTimestamp必填

          最后一次修改时间

    • allVolumesList必填

      详情参考allVolumes

      • uuidString必填

        资源的UUID,唯一标示该资源

      • nameString必填

        资源名称

      • descriptionString必填

        资源的详细描述

      • primaryStorageUuidString必填

        数据存储UUID

      • vmInstanceUuidString必填

        虚拟机UUID

      • diskOfferingUuidString必填

        硬盘规格UUID

      • rootImageUuidString必填

        硬盘根镜像UUID

      • installPathString必填

        硬盘在数据存储上的路径

      • typeString必填

        硬盘类型,数据硬盘/根硬盘

      • formatString必填

        硬盘格式

      • sizeLong必填

        硬盘大小

      • actualSizeLong必填

        硬盘真实大小

      • deviceIdInteger必填

        设备ID。

      • stateString必填

        硬盘是否开启

      • statusString必填

        硬盘状态

      • createDateTimestamp必填

        创建时间

      • lastOpDateTimestamp必填

        最后一次修改时间

      • isShareableBoolean必填

        是否共享硬盘

      • volumeQosString必填

        硬盘Qos,格式如total=1048576

      • lastDetachDateTimestamp必填

        最近一次detach时间。

      • lastVmInstanceUuidString必填

        最近一次云主机实例UUID。

    • vmCdRomsList必填

      详情参考vmCdRoms

      • uuidString必填

        资源的UUID,唯一标示该资源

      • vmInstanceUuidString必填

        虚拟机UUID

      • deviceIdInteger必填

        设备ID。

      • isoUuidString必填

        暂无描述。

      • isoInstallPathString必填

        iso安装路径。

      • nameString必填

        资源名称

      • descriptionString必填

        资源的详细描述

      • createDateTimestamp必填

        创建时间

      • lastOpDateTimestamp必填

        最后一次修改时间

请求地址

POST/zstack/v1/vm-instances/{vmInstanceUuid}/nices/{vmNicUuid}

/zstack/v1/vm-instances/{vmInstanceUuid}/nices/{vmNicUuid}

操作 ID

AttachVmNicToVm

永久链接

请求示例

curl -X POST 'http://{host}/zstack/v1/vm-instances/{vmInstanceUuid}/nices/{vmNicUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

响应示例

200
{ "inventory": { "uuid": "afbd67886d773a45af9a20071bcb09bb", "name": "Test-VM", "description": "web server VM", "zoneUuid": "4b9ddab3f5f738f1a0161f5cf5f33f5c", "clusterUuid": "d7061d85666a380cb3dda4cc7f9f16ee", "imageUuid": "179a3412da4a32faa927eae552348907", "hostUuid": "6ee062370eee3df58623fa99be0b2ce0", "lastHostUuid": "09fdbebbaea73df79b744ad0d4bd7088", "instanceOfferingUuid": "6dc0db981e68348e89ac79ed18fa4b24", "rootVolumeUuid": "a876397202ac3d1daf9f4ea67e75e13d", "platform": "Linux", "defaultL3NetworkUuid": "3baaf68d632f3e9aa12be139d58d968e", "type": "UserVm", "hypervisorType": "KVM", "memorySize": 8589934592, "cpuNum": 1, "allocatorStrategy": "LastHostPreferredAllocatorStrategy", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "state": "Running", "vmNics": [ { "uuid": "b9415d324b50301e923a990bf65352d0", "vmInstanceUuid": "afbd67886d773a45af9a20071bcb09bb", "usedIpUuid": "76a49549cb183d35865276187afb482b", "l3NetworkUuid": "3baaf68d632f3e9aa12be139d58d968e", "ip": "192.168.1.10", "mac": "00:0c:29:bd:99:fc", "hypervisorType": "KVM", "netmask": "255.255.255.0", "gateway": "192.168.1.1", "deviceId": 0, "state": "enable", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "allVolumes": [ { "uuid": "a876397202ac3d1daf9f4ea67e75e13d", "name": "Root-Volume-For-VM-afbd67886d773a45af9a20071bcb09bb", "primaryStorageUuid": "336625bac9e0326b9a9abc7801ef2c86", "vmInstanceUuid": "afbd67886d773a45af9a20071bcb09bb", "diskOfferingUuid": "475f8e09aae2389ea6945b46601aa683", "rootImageUuid": "179a3412da4a32faa927eae552348907", "installPath": "/zstack_ps/rootVolumes/acct-36c27e8ff05c4780bf6d2fa65700f22e/vol-a876397202ac3d1daf9f4ea67e75e13d/a876397202ac3d1daf9f4ea67e75e13d.qcow2", "type": "Root", "format": "qcow2", "size": 107374182400, "actualSize": 21474836480, "deviceId": 0, "state": "Enabled", "status": "Ready", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] } }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史